﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace StudioKit.UserInfoService.UserIdentityService
{


    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.Tools.ServiceModel.Svcutil", "2.0.3-preview3.21351.2")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://UserIdentity.iamapps.account.purdue.edu/")]
    public partial class AccountUtilsException
    {

        private string messageField;

        private int exceptionTypeField;

        private bool exceptionTypeFieldSpecified;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=0)]
        public string message
        {
            get
            {
                return this.messageField;
            }
            set
            {
                this.messageField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=1)]
        public int exceptionType
        {
            get
            {
                return this.exceptionTypeField;
            }
            set
            {
                this.exceptionTypeField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool exceptionTypeSpecified
        {
            get
            {
                return this.exceptionTypeFieldSpecified;
            }
            set
            {
                this.exceptionTypeFieldSpecified = value;
            }
        }
    }

    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.Tools.ServiceModel.Svcutil", "2.0.3-preview3.21351.2")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://UserIdentity.iamapps.account.purdue.edu/")]
    public partial class userIdentityDTO
    {

        private string puidField;

        private string loginField;

        private string firstnameField;

        private string lastnameField;

        private string namesuffixField;

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=0)]
        public string puid
        {
            get
            {
                return this.puidField;
            }
            set
            {
                this.puidField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=1)]
        public string login
        {
            get
            {
                return this.loginField;
            }
            set
            {
                this.loginField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=2)]
        public string firstname
        {
            get
            {
                return this.firstnameField;
            }
            set
            {
                this.firstnameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=3)]
        public string lastname
        {
            get
            {
                return this.lastnameField;
            }
            set
            {
                this.lastnameField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=4)]
        public string namesuffix
        {
            get
            {
                return this.namesuffixField;
            }
            set
            {
                this.namesuffixField = value;
            }
        }
    }

    [System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.Tools.ServiceModel.Svcutil", "2.0.3-preview3.21351.2")]
    [System.ServiceModel.ServiceContractAttribute(Namespace="http://UserIdentity.iamapps.account.purdue.edu/", ConfigurationName="StudioKit.UserInfoService.UserIdentityService.UserIdentityService")]
    public interface UserIdentityService
    {

        // CODEGEN: Parameter 'return' requires additional schema information that cannot be captured using the parameter mode. The specific attribute is 'Microsoft.Xml.Serialization.XmlElementAttribute'.
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [System.ServiceModel.FaultContractAttribute(typeof(StudioKit.UserInfoService.UserIdentityService.AccountUtilsException), Action="", Name="AccountUtilsException")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="return")]
        StudioKit.UserInfoService.UserIdentityService.getUsersOrderByNameResponse getUsersOrderByName(StudioKit.UserInfoService.UserIdentityService.getUsersOrderByName request);

        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        System.Threading.Tasks.Task<StudioKit.UserInfoService.UserIdentityService.getUsersOrderByNameResponse> getUsersOrderByNameAsync(StudioKit.UserInfoService.UserIdentityService.getUsersOrderByName request);

        // CODEGEN: Parameter 'return' requires additional schema information that cannot be captured using the parameter mode. The specific attribute is 'Microsoft.Xml.Serialization.XmlElementAttribute'.
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [System.ServiceModel.FaultContractAttribute(typeof(StudioKit.UserInfoService.UserIdentityService.AccountUtilsException), Action="", Name="AccountUtilsException")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="return")]
        StudioKit.UserInfoService.UserIdentityService.getUsersOrderByRequestResponse getUsersOrderByRequest(StudioKit.UserInfoService.UserIdentityService.getUsersOrderByRequest request);

        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        System.Threading.Tasks.Task<StudioKit.UserInfoService.UserIdentityService.getUsersOrderByRequestResponse> getUsersOrderByRequestAsync(StudioKit.UserInfoService.UserIdentityService.getUsersOrderByRequest request);

        // CODEGEN: Parameter 'return' requires additional schema information that cannot be captured using the parameter mode. The specific attribute is 'Microsoft.Xml.Serialization.XmlElementAttribute'.
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [System.ServiceModel.FaultContractAttribute(typeof(StudioKit.UserInfoService.UserIdentityService.AccountUtilsException), Action="", Name="AccountUtilsException")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="return")]
        StudioKit.UserInfoService.UserIdentityService.getUserIdentityResponse getUserIdentity(StudioKit.UserInfoService.UserIdentityService.getUserIdentity request);

        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        System.Threading.Tasks.Task<StudioKit.UserInfoService.UserIdentityService.getUserIdentityResponse> getUserIdentityAsync(StudioKit.UserInfoService.UserIdentityService.getUserIdentity request);
    }

    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.Tools.ServiceModel.Svcutil", "2.0.3-preview3.21351.2")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="getUsersOrderByName", WrapperNamespace="http://UserIdentity.iamapps.account.purdue.edu/", IsWrapped=true)]
    public partial class getUsersOrderByName
    {

        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://UserIdentity.iamapps.account.purdue.edu/", Order=0)]
        [System.Xml.Serialization.XmlElementAttribute("arg0", Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string[] arg0;

        public getUsersOrderByName()
        {
        }

        public getUsersOrderByName(string[] arg0)
        {
            this.arg0 = arg0;
        }
    }

    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.Tools.ServiceModel.Svcutil", "2.0.3-preview3.21351.2")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="getUsersOrderByNameResponse", WrapperNamespace="http://UserIdentity.iamapps.account.purdue.edu/", IsWrapped=true)]
    public partial class getUsersOrderByNameResponse
    {

        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://UserIdentity.iamapps.account.purdue.edu/", Order=0)]
        [System.Xml.Serialization.XmlElementAttribute("return", Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public StudioKit.UserInfoService.UserIdentityService.userIdentityDTO[] @return;

        public getUsersOrderByNameResponse()
        {
        }

        public getUsersOrderByNameResponse(StudioKit.UserInfoService.UserIdentityService.userIdentityDTO[] @return)
        {
            this.@return = @return;
        }
    }

    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.Tools.ServiceModel.Svcutil", "2.0.3-preview3.21351.2")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="getUsersOrderByRequest", WrapperNamespace="http://UserIdentity.iamapps.account.purdue.edu/", IsWrapped=true)]
    public partial class getUsersOrderByRequest
    {

        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://UserIdentity.iamapps.account.purdue.edu/", Order=0)]
        [System.Xml.Serialization.XmlElementAttribute("arg0", Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string[] arg0;

        public getUsersOrderByRequest()
        {
        }

        public getUsersOrderByRequest(string[] arg0)
        {
            this.arg0 = arg0;
        }
    }

    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.Tools.ServiceModel.Svcutil", "2.0.3-preview3.21351.2")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="getUsersOrderByRequestResponse", WrapperNamespace="http://UserIdentity.iamapps.account.purdue.edu/", IsWrapped=true)]
    public partial class getUsersOrderByRequestResponse
    {

        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://UserIdentity.iamapps.account.purdue.edu/", Order=0)]
        [System.Xml.Serialization.XmlElementAttribute("return", Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public StudioKit.UserInfoService.UserIdentityService.userIdentityDTO[] @return;

        public getUsersOrderByRequestResponse()
        {
        }

        public getUsersOrderByRequestResponse(StudioKit.UserInfoService.UserIdentityService.userIdentityDTO[] @return)
        {
            this.@return = @return;
        }
    }

    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.Tools.ServiceModel.Svcutil", "2.0.3-preview3.21351.2")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="getUserIdentity", WrapperNamespace="http://UserIdentity.iamapps.account.purdue.edu/", IsWrapped=true)]
    public partial class getUserIdentity
    {

        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://UserIdentity.iamapps.account.purdue.edu/", Order=0)]
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string arg0;

        public getUserIdentity()
        {
        }

        public getUserIdentity(string arg0)
        {
            this.arg0 = arg0;
        }
    }

    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.Tools.ServiceModel.Svcutil", "2.0.3-preview3.21351.2")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="getUserIdentityResponse", WrapperNamespace="http://UserIdentity.iamapps.account.purdue.edu/", IsWrapped=true)]
    public partial class getUserIdentityResponse
    {

        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://UserIdentity.iamapps.account.purdue.edu/", Order=0)]
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public StudioKit.UserInfoService.UserIdentityService.userIdentityDTO @return;

        public getUserIdentityResponse()
        {
        }

        public getUserIdentityResponse(StudioKit.UserInfoService.UserIdentityService.userIdentityDTO @return)
        {
            this.@return = @return;
        }
    }

    [System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.Tools.ServiceModel.Svcutil", "2.0.3-preview3.21351.2")]
    public interface UserIdentityServiceChannel : StudioKit.UserInfoService.UserIdentityService.UserIdentityService, System.ServiceModel.IClientChannel
    {
    }

    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.Tools.ServiceModel.Svcutil", "2.0.3-preview3.21351.2")]
    public partial class UserIdentityServiceClient : System.ServiceModel.ClientBase<StudioKit.UserInfoService.UserIdentityService.UserIdentityService>, StudioKit.UserInfoService.UserIdentityService.UserIdentityService
    {

        /// <summary>
        /// Implement this partial method to configure the service endpoint.
        /// </summary>
        /// <param name="serviceEndpoint">The endpoint to configure</param>
        /// <param name="clientCredentials">The client credentials</param>
        static partial void ConfigureEndpoint(System.ServiceModel.Description.ServiceEndpoint serviceEndpoint, System.ServiceModel.Description.ClientCredentials clientCredentials);

        public UserIdentityServiceClient() :
                base(UserIdentityServiceClient.GetDefaultBinding(), UserIdentityServiceClient.GetDefaultEndpointAddress())
        {
            this.Endpoint.Name = EndpointConfiguration.UserIdentityServicePort.ToString();
            ConfigureEndpoint(this.Endpoint, this.ClientCredentials);
        }

        public UserIdentityServiceClient(EndpointConfiguration endpointConfiguration) :
                base(UserIdentityServiceClient.GetBindingForEndpoint(endpointConfiguration), UserIdentityServiceClient.GetEndpointAddress(endpointConfiguration))
        {
            this.Endpoint.Name = endpointConfiguration.ToString();
            ConfigureEndpoint(this.Endpoint, this.ClientCredentials);
        }

        public UserIdentityServiceClient(EndpointConfiguration endpointConfiguration, string remoteAddress) :
                base(UserIdentityServiceClient.GetBindingForEndpoint(endpointConfiguration), new System.ServiceModel.EndpointAddress(remoteAddress))
        {
            this.Endpoint.Name = endpointConfiguration.ToString();
            ConfigureEndpoint(this.Endpoint, this.ClientCredentials);
        }

        public UserIdentityServiceClient(EndpointConfiguration endpointConfiguration, System.ServiceModel.EndpointAddress remoteAddress) :
                base(UserIdentityServiceClient.GetBindingForEndpoint(endpointConfiguration), remoteAddress)
        {
            this.Endpoint.Name = endpointConfiguration.ToString();
            ConfigureEndpoint(this.Endpoint, this.ClientCredentials);
        }

        public UserIdentityServiceClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) :
                base(binding, remoteAddress)
        {
        }

        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        StudioKit.UserInfoService.UserIdentityService.getUsersOrderByNameResponse StudioKit.UserInfoService.UserIdentityService.UserIdentityService.getUsersOrderByName(StudioKit.UserInfoService.UserIdentityService.getUsersOrderByName request)
        {
            return base.Channel.getUsersOrderByName(request);
        }

        public StudioKit.UserInfoService.UserIdentityService.userIdentityDTO[] getUsersOrderByName(string[] arg0)
        {
            StudioKit.UserInfoService.UserIdentityService.getUsersOrderByName inValue = new StudioKit.UserInfoService.UserIdentityService.getUsersOrderByName();
            inValue.arg0 = arg0;
            StudioKit.UserInfoService.UserIdentityService.getUsersOrderByNameResponse retVal = ((StudioKit.UserInfoService.UserIdentityService.UserIdentityService)(this)).getUsersOrderByName(inValue);
            return retVal.@return;
        }

        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<StudioKit.UserInfoService.UserIdentityService.getUsersOrderByNameResponse> StudioKit.UserInfoService.UserIdentityService.UserIdentityService.getUsersOrderByNameAsync(StudioKit.UserInfoService.UserIdentityService.getUsersOrderByName request)
        {
            return base.Channel.getUsersOrderByNameAsync(request);
        }

        public System.Threading.Tasks.Task<StudioKit.UserInfoService.UserIdentityService.getUsersOrderByNameResponse> getUsersOrderByNameAsync(string[] arg0)
        {
            StudioKit.UserInfoService.UserIdentityService.getUsersOrderByName inValue = new StudioKit.UserInfoService.UserIdentityService.getUsersOrderByName();
            inValue.arg0 = arg0;
            return ((StudioKit.UserInfoService.UserIdentityService.UserIdentityService)(this)).getUsersOrderByNameAsync(inValue);
        }

        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        StudioKit.UserInfoService.UserIdentityService.getUsersOrderByRequestResponse StudioKit.UserInfoService.UserIdentityService.UserIdentityService.getUsersOrderByRequest(StudioKit.UserInfoService.UserIdentityService.getUsersOrderByRequest request)
        {
            return base.Channel.getUsersOrderByRequest(request);
        }

        public StudioKit.UserInfoService.UserIdentityService.userIdentityDTO[] getUsersOrderByRequest(string[] arg0)
        {
            StudioKit.UserInfoService.UserIdentityService.getUsersOrderByRequest inValue = new StudioKit.UserInfoService.UserIdentityService.getUsersOrderByRequest();
            inValue.arg0 = arg0;
            StudioKit.UserInfoService.UserIdentityService.getUsersOrderByRequestResponse retVal = ((StudioKit.UserInfoService.UserIdentityService.UserIdentityService)(this)).getUsersOrderByRequest(inValue);
            return retVal.@return;
        }

        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<StudioKit.UserInfoService.UserIdentityService.getUsersOrderByRequestResponse> StudioKit.UserInfoService.UserIdentityService.UserIdentityService.getUsersOrderByRequestAsync(StudioKit.UserInfoService.UserIdentityService.getUsersOrderByRequest request)
        {
            return base.Channel.getUsersOrderByRequestAsync(request);
        }

        public System.Threading.Tasks.Task<StudioKit.UserInfoService.UserIdentityService.getUsersOrderByRequestResponse> getUsersOrderByRequestAsync(string[] arg0)
        {
            StudioKit.UserInfoService.UserIdentityService.getUsersOrderByRequest inValue = new StudioKit.UserInfoService.UserIdentityService.getUsersOrderByRequest();
            inValue.arg0 = arg0;
            return ((StudioKit.UserInfoService.UserIdentityService.UserIdentityService)(this)).getUsersOrderByRequestAsync(inValue);
        }

        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        StudioKit.UserInfoService.UserIdentityService.getUserIdentityResponse StudioKit.UserInfoService.UserIdentityService.UserIdentityService.getUserIdentity(StudioKit.UserInfoService.UserIdentityService.getUserIdentity request)
        {
            return base.Channel.getUserIdentity(request);
        }

        public StudioKit.UserInfoService.UserIdentityService.userIdentityDTO getUserIdentity(string arg0)
        {
            StudioKit.UserInfoService.UserIdentityService.getUserIdentity inValue = new StudioKit.UserInfoService.UserIdentityService.getUserIdentity();
            inValue.arg0 = arg0;
            StudioKit.UserInfoService.UserIdentityService.getUserIdentityResponse retVal = ((StudioKit.UserInfoService.UserIdentityService.UserIdentityService)(this)).getUserIdentity(inValue);
            return retVal.@return;
        }

        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<StudioKit.UserInfoService.UserIdentityService.getUserIdentityResponse> StudioKit.UserInfoService.UserIdentityService.UserIdentityService.getUserIdentityAsync(StudioKit.UserInfoService.UserIdentityService.getUserIdentity request)
        {
            return base.Channel.getUserIdentityAsync(request);
        }

        public System.Threading.Tasks.Task<StudioKit.UserInfoService.UserIdentityService.getUserIdentityResponse> getUserIdentityAsync(string arg0)
        {
            StudioKit.UserInfoService.UserIdentityService.getUserIdentity inValue = new StudioKit.UserInfoService.UserIdentityService.getUserIdentity();
            inValue.arg0 = arg0;
            return ((StudioKit.UserInfoService.UserIdentityService.UserIdentityService)(this)).getUserIdentityAsync(inValue);
        }

        public virtual System.Threading.Tasks.Task OpenAsync()
        {
            return System.Threading.Tasks.Task.Factory.FromAsync(((System.ServiceModel.ICommunicationObject)(this)).BeginOpen(null, null), new System.Action<System.IAsyncResult>(((System.ServiceModel.ICommunicationObject)(this)).EndOpen));
        }

        public new virtual System.Threading.Tasks.Task CloseAsync()
        {
            return System.Threading.Tasks.Task.Factory.FromAsync(((System.ServiceModel.ICommunicationObject)(this)).BeginClose(null, null), new System.Action<System.IAsyncResult>(((System.ServiceModel.ICommunicationObject)(this)).EndClose));
        }

        private static System.ServiceModel.Channels.Binding GetBindingForEndpoint(EndpointConfiguration endpointConfiguration)
        {
            if ((endpointConfiguration == EndpointConfiguration.UserIdentityServicePort))
            {
                System.ServiceModel.BasicHttpBinding result = new System.ServiceModel.BasicHttpBinding();
                result.MaxBufferSize = int.MaxValue;
                result.ReaderQuotas = System.Xml.XmlDictionaryReaderQuotas.Max;
                result.MaxReceivedMessageSize = int.MaxValue;
                result.AllowCookies = true;
                result.Security.Mode = System.ServiceModel.BasicHttpSecurityMode.Transport;
                return result;
            }
            throw new System.InvalidOperationException(string.Format("Could not find endpoint with name \'{0}\'.", endpointConfiguration));
        }

        private static System.ServiceModel.EndpointAddress GetEndpointAddress(EndpointConfiguration endpointConfiguration)
        {
            if ((endpointConfiguration == EndpointConfiguration.UserIdentityServicePort))
            {
                return new System.ServiceModel.EndpointAddress("https://www.purdue.edu/apps/account/cxf/userIdentityService");
            }
            throw new System.InvalidOperationException(string.Format("Could not find endpoint with name \'{0}\'.", endpointConfiguration));
        }

        private static System.ServiceModel.Channels.Binding GetDefaultBinding()
        {
            return UserIdentityServiceClient.GetBindingForEndpoint(EndpointConfiguration.UserIdentityServicePort);
        }

        private static System.ServiceModel.EndpointAddress GetDefaultEndpointAddress()
        {
            return UserIdentityServiceClient.GetEndpointAddress(EndpointConfiguration.UserIdentityServicePort);
        }

        public enum EndpointConfiguration
        {

            UserIdentityServicePort,
        }
    }
}
